"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.timeSince = exports.formatTimeShort = exports.formatTime = exports.formatMonthLong = exports.formatDateTime = exports.formatDateShort = exports.formatDate = void 0;

var _dateFns = require("date-fns");

var _ = require(".");

var _i18n = require("../data/translations/i18n");

const formatDateTime = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleString(locales) : '';

exports.formatDateTime = formatDateTime;

const formatMonthLong = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleString(locales, {
  month: 'long'
}) : '';

exports.formatMonthLong = formatMonthLong;

const formatDate = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleDateString(locales) : '';

exports.formatDate = formatDate;

const formatDateShort = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleDateString(locales, {
  month: '2-digit',
  day: '2-digit',
  year: '2-digit'
}) : '';

exports.formatDateShort = formatDateShort;

const formatTime = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleTimeString(locales) : '';

exports.formatTime = formatTime;

const formatTimeShort = (dateTime, locales) => dateTime ? new Date(dateTime).toLocaleTimeString(locales, {
  hour: '2-digit',
  minute: '2-digit'
}) : '';

exports.formatTimeShort = formatTimeShort;

const timeSince = dateTime => dateTime ? (0, _dateFns.formatDistance)(new Date(dateTime), _.Clock.now(), {
  locale: _i18n.dateLocale,
  addSuffix: true
}) : '';

exports.timeSince = timeSince;
//# sourceMappingURL=date-time-formatter.js.map